<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 画像一括登録
 *
 * @package     Admin.Itemmanage.Import.Image
 * @author      netnee 
 * @access      public
 */
class Admin_Itemmanage_Import_Image
{
    var $title;
    var $pagename;

    var $imageimport;

    var $img_files;
    var $l_cnt;
    var $m_cnt;
    var $s_cnt;
    var $t_cnt;


    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("start", "Admin_Itemmanage_Import_Image");

        $this->img_files = $this->imageimport->getImageFiles();

        $this->l_cnt = count($this->img_files[0]);
        $this->m_cnt = count($this->img_files[1]);
        $this->s_cnt = count($this->img_files[2]);

        $this->t_cnt = $this->l_cnt+$this->m_cnt+$this->s_cnt;

        return 'success';
    }
}
?>
